> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Model Input

> Get the latest input data for a model



## OpenAPI

````yaml get /platform/v2/models/{model_id}/input
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /platform/v2/models/{model_id}/input:
    get:
      tags:
        - Model
      summary: Get Model Input
      description: Get the latest input data for a model
      operationId: get_model_input_platform_v2_models__model_id__input_get
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
            title: Model Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelInputResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ModelInputResponse:
      properties:
        dataframe:
          additionalProperties: true
          type: object
          title: Dataframe
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - dataframe
        - metadata
      title: ModelInputResponse
    ValidationResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ValidationResponse
    ErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your API key. This is required to access our API programatically. You
        can view your API key in the Rebase dashboard.
      in: header
      name: Authorization

````